#
# spec file for package velero-plugin-for-microsoft-azure
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define goipath github.com/vmware-tanzu/velero-plugin-for-microsoft-azure

Name:           velero-plugin-for-microsoft-azure
Version:        1.4.0
Release:        1.10
Summary:        Velero plugin for Microsoft Azure
License:        Apache-2.0
Group:          Productivity/Archiving/Backup
URL:            https://velero.io
Source0:        https://github.com/vmware-tanzu/velero-plugin-for-microsoft-azure/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) = 1.15

%description
Plugins to support Velero on Microsoft Azure

%prep
%setup -q -a1

%build
%goprep %{goipath}
export CGO_ENABLED=0
%gobuild -mod vendor -installsuffix "static" %{name}

%install
%goinstall

%files
%defattr(-,root,root)
%doc README.md
%%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Feb 16 2022 jenting.hsiao@suse.com
- Update to version 1.4.0:
  * Bump up busybox version
  * Pin the version of golang and distroless image
  * Update changelog and READMEfor 1.4.0
  * Update the README for the new release
  * Upgrade version of golang and packages
  * Handle the volumes created by the CSI driver (#109)
* Fri Dec 10 2021 jenting.hsiao@suse.com
- Update to version 1.3.1:
  * Add changelog for 1.3.1
  * Update the doc to reference the latest version of azure plugin image
  * Fix CVE-2020-26160 and CVE-2020-29652
* Thu Sep 30 2021 jenting.hsiao@suse.com
- Update to version 1.3.0:
  * Update the documents for the release 1.3.0
  * Change the base image to distroless
* Wed Jul 28 2021 jenting.hsiao@suse.com
- Update to version 1.2.1:
  * Add changelog for v1.2.1 (#105)
  * Fix typo
  * Update Velero dependency to v1.6.2 (#103)
  * Update dependencies (#101)
  * Update reviewers (#102)
  * remove ashish-amarnath from maintainers
  * Update auto assign of reviewers
  * Only publish the container image from the root repo
* Thu Apr  8 2021 jenting.hsiao@suse.com
- Update to version 1.2.0:
  * Update changelog for v1.2.0
  * Update docs to reference Velero v1.6 (#93)
  * Use credentials file passed through config (#90)
  * Add documentation around minimum required permissions (#85)
  * Add jenting as reviewer
  * Description Security measures (#88)
  * Add changelogs for v1.1.2 (#89)
  * fix: missing results in ListObjects/CommonPrefixes
  * Update README with new issue filing process (#86)
* Wed Jul 29 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version v1.1.0
  * chunk objects when uploading to object storage in order to support objects larger than 256MB (#30, @skriss)
  * support using static storage account keys rather than service principals (#32, @jaygridley)
* Tue Mar  3 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version 1.0.1
* Wed Feb  5 2020 jenting hsiao <jenting.hsiao@suse.com>
- Add LICENSE file
